<?xml version="1.0" encoding="utf-8"?>
<resources>
    <declare-styleable name="CodeScannerView">
        <attr name="maskColor" format="color"/>
        <attr name="frameColor" format="color"/>
        <attr name="frameThickness" format="dimension"/>
        <attr name="frameCornersSize" format="dimension"/>
        <attr name="frameCornersRadius" format="dimension"/>
        <attr name="frameAspectRatioWidth" format="float"/>
        <attr name="frameAspectRatioHeight" format="float"/>
        <attr name="frameSize" format="float"/>
        <attr name="frameVerticalBias" format="float"/>
        <attr name="autoFocusButtonColor" format="color"/>
        <attr name="autoFocusButtonVisible" format="boolean"/>
        <attr name="autoFocusButtonPaddingHorizontal" format="dimension"/>
        <attr name="autoFocusButtonPaddingVertical" format="dimension"/>
        <attr name="autoFocusButtonOnIcon" format="reference"/>
        <attr name="autoFocusButtonOffIcon" format="reference"/>
        <attr name="autoFocusButtonPosition" format="enum">
            <enum name="topStart" value="0"/>
            <enum name="topEnd" value="1"/>
            <enum name="bottomStart" value="2"/>
            <enum name="bottomEnd" value="3"/>
        </attr>
        <attr name="flashButtonColor" format="color"/>
        <attr name="flashButtonVisible" format="boolean"/>
        <attr name="flashButtonPaddingHorizontal" format="dimension"/>
        <attr name="flashButtonPaddingVertical" format="dimension"/>
        <attr name="flashButtonOnIcon" format="reference"/>
        <attr name="flashButtonOffIcon" format="reference"/>
        <attr name="flashButtonPosition" format="enum">
            <enum name="topStart" value="0"/>
            <enum name="topEnd" value="1"/>
            <enum name="bottomStart" value="2"/>
            <enum name="bottomEnd" value="3"/>
        </attr>
    </declare-styleable>
</resources>